
Smart Proxy - Bug #1105

multiple puppetca or puppet enterprise puppet cause smart-proxy to fail

08/11/2011 03:37 AM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have /usr/bin/puppetca and I have /opt/puppet/bin/puppet.  Both are supposed to list the puppet certificates.  However, since I am

using puppet enterprise foreman needs to use /opt/puppet/bin/puppet cert.  Furthermore, I think foreman should test each match to

see which puppet or puppetca works.

History

#1 - 08/11/2011 03:43 AM - Corey Osman

This will cause kickstarts to not process and leave the user with a OS to configure manually.

D, [2011-08-11T03:40:02.577838 #32308] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-08-11T03:40:02.577945 #32308] DEBUG -- : Executing /usr/bin/sudo -S /usr/bin/puppetca --clean puppeta

gent5.logicminds.corp

W, [2011-08-11T03:40:04.180020 #32308]  WARN -- : Failed to run puppetca: Retrieved certificate does not match

 private key; please remove certificate from server and regenerate it with the current key

E, [2011-08-11T03:40:04.181042 #32308] ERROR -- : Failed to remove certificate(s) for puppetagent5.logicminds.

corp: Execution of puppetca failed, check log files

192.168.11.47 - - [11/Aug/2011 03:40:04] "DELETE /puppet/ca/puppetagent5.logicminds.corp HTTP/1.1" 406 111 1.6

088

puppet - - [11/Aug/2011:03:40:02 EDT] "DELETE /puppet/ca/puppetagent5.logicminds.corp HTTP/1.1" 406 111

- -> /puppet/ca/puppetagent5.logicminds.corp

#2 - 06/18/2013 09:30 AM - Benjamin Papillon

- Status changed from New to Closed

it has been resolved. If the problem persists, feel free to open the ticket again.
